var World = {

    currentUrl: '',
    urls: [],
    numUrlLoad: 0,
    geoObject: [],

    init: function initFn(urlsString) {
        this.urls = urlsString.split(',');

        this.createModelAtLocation(this.urls[this.numUrlLoad]);
    },

    switchCam: function switchCamFn() {
        if (AR.hardware.camera.position === AR.CONST.CAMERA_POSITION.FRONT) {
            AR.hardware.camera.position = AR.CONST.CAMERA_POSITION.BACK
        } else {
            AR.hardware.camera.position = AR.CONST.CAMERA_POSITION.FRONT
        }
    },

    createModelAtLocation: function createModelAtLocationFn(urlsString) {
        /*
            First a location where the model should be displayed will be defined. This location will be relativ to
            the user.
        */
        // var geoLoc = new AR.GeoLocation(55.976710, 31.876502, 320.);
        var location = new AR.RelativeLocation(null, 1500, 0, 2);

        if (urlsString === '' || urlsString === null || urlsString === 'undefined' || urlsString === undefined) {
            urls[i] = "http://api.um.client.runetsoft.ru/upload/iblock/cd2/dostoevskiy_1.wt3"
        }

        document.getElementById("loadingMessage").innerText = "Загрузка модели " + (World.numUrlLoad + 1);

        /* Next the model object is loaded. */
        var modelEarth = new AR.Model(urlsString, {
            onLoaded: World.hideLoading,
            onError: World.onError,
            scale: {
                x: 0.5,
                y: 0.5,
                z: 0.5
            },
            rotate: {
                x: 10,
                y: 240
            }
        });

        var indicatorImage = new AR.ImageResource("assets/indi.png", {
            onError: World.onError
        });

        var indicatorDrawable = new AR.ImageDrawable(indicatorImage, 0.1, {
            verticalAnchor: AR.CONST.VERTICAL_ANCHOR.TOP
        });

        var m = new AR.GeoObject(location, {
            drawables: {
                cam: [modelEarth],
                indicator: [indicatorDrawable]
            }
        });

        if (this.numUrlLoad === 0) {
            m.enabled = true;
        } else {
            m.enabled = false;
        }

        /* Putting it all together the location and 3D model is added to an AR.GeoObject. */
        World.geoObject.push(m);

    },

    onError: function onErrorFn(error) {
        alert(error);
    },

    hideLoading: function hideLoadingFn() {
        if (World.numUrlLoad >= World.urls.length - 1) {
            document.getElementById("loadingMessage").style.display = "none";
        } else {
            World.numUrlLoad = World.numUrlLoad + 1;
            World.createModelAtLocation(World.urls[World.numUrlLoad]);
        }
    },

    viewPos: function viewPosFn(num) {
        for (var i = 0; i < this.geoObject.length; i++) {
            this.geoObject[i].enabled = false;
        }

        this.geoObject[num].enabled = true;
    }
};

// World.init();
