
function MarkerRoute(poiData) {

    /*
        For creating the marker a new object AR.GeoObject will be created at the specified geolocation. An
        AR.GeoObject connects one or more AR.GeoLocations with multiple AR.Drawables. The AR.Drawables can be
        defined for multiple targets. A target can be the camera, the radar or a direction indicator. Both the
        radar and direction indicators will be covered in more detail in later examples.
    */

    this.poiData = poiData;

    /* Create the AR.GeoLocation from the poi data. */
    this.markerLocation = new AR.GeoLocation(poiData.latitude, poiData.longitude, -5);

    var opacity = 1;

    /* Create an AR.ImageDrawable for the marker in idle state. */
    this.markerDrawableIdle = new AR.Model("assets/arrow_3d.wt3", {
        onError: World.onError,
        scale: {
            x: 0.004,
            y: 0.004,
            z: 0.004
        },
        rotate: {
            z: 0.0,
            x: 0.0,
            y: -90.0,

            global: {
                y: -poiData.rotationX,
                x: 0,
                z: 0
            }
        }
    });

    this.markerObject = new AR.GeoObject(this.markerLocation, {
        drawables: {
            cam: [this.markerDrawableIdle]
        }
    });

    return this;
}

MarkerRoute.prototype.destroy = function (marker) {

    marker.markerLocation.destroy();
    marker.markerDrawableIdle.destroy();
    marker.markerObject.destroy();
};